incubator-allura-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From john...@apache.org
Subject [04/31] git commit: [#6235] ticket:352 Add svn repo with trunk/tags/branches for tests
Date Mon, 03 Jun 2013 15:31:57 GMT
[#6235] ticket:352 Add svn repo with trunk/tags/branches for tests


Project: http://git-wip-us.apache.org/repos/asf/incubator-allura/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-allura/commit/67a10215
Tree: http://git-wip-us.apache.org/repos/asf/incubator-allura/tree/67a10215
Diff: http://git-wip-us.apache.org/repos/asf/incubator-allura/diff/67a10215

Branch: refs/heads/cj/merge-request-4
Commit: 67a102151d6789ec38e0cef5a87a09156831a33a
Parents: 56830d9
Author: Igor Bondarenko <jetmind2@gmail.com>
Authored: Fri May 17 09:49:40 2013 +0000
Committer: Dave Brondsema <dbrondsema@slashdotmedia.com>
Committed: Fri May 31 22:14:03 2013 +0000

----------------------------------------------------------------------
 .../.SOURCEFORGE-REPOSITORY                        |    1 +
 .../data/testsvn-trunk-tags-branches/README.txt    |    5 +
 .../data/testsvn-trunk-tags-branches/conf/authz    |   32 ++++++
 .../data/testsvn-trunk-tags-branches/conf/passwd   |    8 ++
 .../testsvn-trunk-tags-branches/conf/svnserve.conf |   47 +++++++++
 .../data/testsvn-trunk-tags-branches/db/current    |    1 +
 .../data/testsvn-trunk-tags-branches/db/format     |    2 +
 .../data/testsvn-trunk-tags-branches/db/fs-type    |    1 +
 .../data/testsvn-trunk-tags-branches/db/fsfs.conf  |   37 +++++++
 .../db/min-unpacked-rev                            |    1 +
 .../testsvn-trunk-tags-branches/db/revprops/0/0    |   17 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/1    |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/10   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/11   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/12   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/13   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/14   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/15   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/16   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/17   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/18   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/19   |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/2    |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/3    |   14 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/4    |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/5    |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/6    |   14 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/7    |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/8    |   13 +++
 .../testsvn-trunk-tags-branches/db/revprops/0/9    |   13 +++
 .../data/testsvn-trunk-tags-branches/db/revs/0/0   |   11 ++
 .../data/testsvn-trunk-tags-branches/db/revs/0/1   |   25 +++++
 .../data/testsvn-trunk-tags-branches/db/revs/0/10  |  Bin 0 -> 717 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/11  |  Bin 0 -> 727 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/12  |  Bin 0 -> 698 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/13  |   41 ++++++++
 .../data/testsvn-trunk-tags-branches/db/revs/0/14  |   50 +++++++++
 .../data/testsvn-trunk-tags-branches/db/revs/0/15  |  Bin 0 -> 780 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/16  |   50 +++++++++
 .../data/testsvn-trunk-tags-branches/db/revs/0/17  |  Bin 0 -> 816 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/18  |   50 +++++++++
 .../data/testsvn-trunk-tags-branches/db/revs/0/19  |  Bin 0 -> 810 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/2   |  Bin 0 -> 628 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/3   |  Bin 0 -> 723 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/4   |  Bin 0 -> 708 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/5   |  Bin 0 -> 687 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/6   |  Bin 0 -> 692 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/7   |  Bin 0 -> 696 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/8   |  Bin 0 -> 700 bytes
 .../data/testsvn-trunk-tags-branches/db/revs/0/9   |  Bin 0 -> 704 bytes
 .../testsvn-trunk-tags-branches/db/txn-current     |    1 +
 .../tests/data/testsvn-trunk-tags-branches/db/uuid |    1 +
 .../tests/data/testsvn-trunk-tags-branches/format  |    1 +
 .../testsvn-trunk-tags-branches/hooks/post-commit  |    8 ++
 .../hooks/post-commit.tmpl                         |   50 +++++++++
 .../hooks/post-lock.tmpl                           |   44 ++++++++
 .../hooks/post-revprop-change.tmpl                 |   56 ++++++++++
 .../hooks/post-unlock.tmpl                         |   42 ++++++++
 .../hooks/pre-commit.tmpl                          |   81 +++++++++++++++
 .../hooks/pre-lock.tmpl                            |   71 +++++++++++++
 .../hooks/pre-revprop-change                       |    1 +
 .../hooks/pre-revprop-change.tmpl                  |   66 ++++++++++++
 .../hooks/pre-unlock.tmpl                          |   63 +++++++++++
 .../hooks/start-commit.tmpl                        |   65 ++++++++++++
 .../testsvn-trunk-tags-branches/locks/db-logs.lock |    3 +
 .../data/testsvn-trunk-tags-branches/locks/db.lock |    3 +
 66 files changed, 1184 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/.SOURCEFORGE-REPOSITORY
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/.SOURCEFORGE-REPOSITORY b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/.SOURCEFORGE-REPOSITORY
new file mode 100644
index 0000000..f2990b4
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/.SOURCEFORGE-REPOSITORY
@@ -0,0 +1 @@
+svn
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/README.txt
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/README.txt b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/README.txt
new file mode 100644
index 0000000..3bf5a57
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/README.txt
@@ -0,0 +1,5 @@
+This is a Subversion repository; use the 'svnadmin' tool to examine
+it.  Do not add, delete, or modify files here unless you know how
+to avoid corrupting the repository.
+
+Visit http://subversion.tigris.org/ for more information.

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/authz
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/authz b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/authz
new file mode 100644
index 0000000..0b9a410
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/authz
@@ -0,0 +1,32 @@
+### This file is an example authorization file for svnserve.
+### Its format is identical to that of mod_authz_svn authorization
+### files.
+### As shown below each section defines authorizations for the path and
+### (optional) repository specified by the section name.
+### The authorizations follow. An authorization line can refer to:
+###  - a single user,
+###  - a group of users defined in a special [groups] section,
+###  - an alias defined in a special [aliases] section,
+###  - all authenticated users, using the '$authenticated' token,
+###  - only anonymous users, using the '$anonymous' token,
+###  - anyone, using the '*' wildcard.
+###
+### A match can be inverted by prefixing the rule with '~'. Rules can
+### grant read ('r') access, read-write ('rw') access, or no access
+### ('').
+
+[aliases]
+# joe = /C=XZ/ST=Dessert/L=Snake City/O=Snake Oil, Ltd./OU=Research Institute/CN=Joe Average
+
+[groups]
+# harry_and_sally = harry,sally
+# harry_sally_and_joe = harry,sally,&joe
+
+# [/foo/bar]
+# harry = rw
+# &joe = r
+# * =
+
+# [repository:/baz/fuz]
+# @harry_and_sally = rw
+# * = r

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/passwd
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/passwd b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/passwd
new file mode 100644
index 0000000..ecaa08d
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/passwd
@@ -0,0 +1,8 @@
+### This file is an example password file for svnserve.
+### Its format is similar to that of svnserve.conf. As shown in the
+### example below it contains one section labelled [users].
+### The name and password for each user follow, one account per line.
+
+[users]
+# harry = harryssecret
+# sally = sallyssecret

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/svnserve.conf
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/svnserve.conf b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/svnserve.conf
new file mode 100644
index 0000000..e62a01e
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/conf/svnserve.conf
@@ -0,0 +1,47 @@
+### This file controls the configuration of the svnserve daemon, if you
+### use it to allow access to this repository.  (If you only allow
+### access through http: and/or file: URLs, then this file is
+### irrelevant.)
+
+### Visit http://subversion.tigris.org/ for more information.
+
+[general]
+### These options control access to the repository for unauthenticated
+### and authenticated users.  Valid values are "write", "read",
+### and "none".  The sample settings below are the defaults.
+# anon-access = read
+# auth-access = write
+### The password-db option controls the location of the password
+### database file.  Unless you specify a path starting with a /,
+### the file's location is relative to the directory containing
+### this configuration file.
+### If SASL is enabled (see below), this file will NOT be used.
+### Uncomment the line below to use the default password file.
+# password-db = passwd
+### The authz-db option controls the location of the authorization
+### rules for path-based access control.  Unless you specify a path
+### starting with a /, the file's location is relative to the the
+### directory containing this file.  If you don't specify an
+### authz-db, no path-based access control is done.
+### Uncomment the line below to use the default authorization file.
+# authz-db = authz
+### This option specifies the authentication realm of the repository.
+### If two repositories have the same authentication realm, they should
+### have the same password database, and vice versa.  The default realm
+### is repository's uuid.
+# realm = My First Repository
+
+[sasl]
+### This option specifies whether you want to use the Cyrus SASL
+### library for authentication. Default is false.
+### This section will be ignored if svnserve is not built with Cyrus
+### SASL support; to check, run 'svnserve --version' and look for a line
+### reading 'Cyrus SASL authentication is available.'
+# use-sasl = true
+### These options specify the desired strength of the security layer
+### that you want SASL to provide. 0 means no encryption, 1 means
+### integrity-checking only, values larger than 1 are correlated
+### to the effective key length for encryption (e.g. 128 means 128-bit
+### encryption). The values below are the defaults.
+# min-encryption = 0
+# max-encryption = 256

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/current
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/current b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/current
new file mode 100644
index 0000000..d6b2404
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/current
@@ -0,0 +1 @@
+19

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/format
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/format b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/format
new file mode 100644
index 0000000..db06890
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/format
@@ -0,0 +1,2 @@
+4
+layout sharded 1000

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fs-type
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fs-type b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fs-type
new file mode 100644
index 0000000..4fdd953
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fs-type
@@ -0,0 +1 @@
+fsfs

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fsfs.conf
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fsfs.conf b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fsfs.conf
new file mode 100644
index 0000000..0a5f1fe
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/fsfs.conf
@@ -0,0 +1,37 @@
+### This file controls the configuration of the FSFS filesystem.
+
+[memcached-servers]
+### These options name memcached servers used to cache internal FSFS
+### data.  See http://www.danga.com/memcached/ for more information on
+### memcached.  To use memcached with FSFS, run one or more memcached
+### servers, and specify each of them as an option like so:
+# first-server = 127.0.0.1:11211
+# remote-memcached = mymemcached.corp.example.com:11212
+### The option name is ignored; the value is of the form HOST:PORT.
+### memcached servers can be shared between multiple repositories;
+### however, if you do this, you *must* ensure that repositories have
+### distinct UUIDs and paths, or else cached data from one repository
+### might be used by another accidentally.  Note also that memcached has
+### no authentication for reads or writes, so you must ensure that your
+### memcached servers are only accessible by trusted users.
+
+[caches]
+### When a cache-related error occurs, normally Subversion ignores it
+### and continues, logging an error if the server is appropriately
+### configured (and ignoring it with file:// access).  To make
+### Subversion never ignore cache errors, uncomment this line.
+# fail-stop = true
+
+[rep-sharing]
+### To conserve space, the filesystem can optionally avoid storing
+### duplicate representations.  This comes at a slight cost in performace,
+### as maintaining a database of shared representations can increase
+### commit times.  The space savings are dependent upon the size of the
+### repository, the number of objects it contains and the amount of
+### duplication between them, usually a function of the branching and
+### merging process.
+###
+### The following parameter enables rep-sharing in the repository.  It can
+### be switched on and off at will, but for best space-saving results
+### should be enabled consistently over the life of the repository.
+# enable-rep-sharing = false

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/min-unpacked-rev
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/min-unpacked-rev b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/min-unpacked-rev
new file mode 100644
index 0000000..573541a
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/min-unpacked-rev
@@ -0,0 +1 @@
+0

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/0
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/0 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/0
new file mode 100644
index 0000000..4b35d85
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/0
@@ -0,0 +1,17 @@
+K 8
+svn:date
+V 27
+2012-09-14T09:24:53.167845Z
+K 17
+svn:sync-from-url
+V 45
+svn://svn.code.sf.net/p/jetest/test-svn/trunk
+K 18
+svn:sync-from-uuid
+V 36
+2f15bc49-05cb-4844-b76f-9b7a511244b3
+K 24
+svn:sync-last-merged-rev
+V 1
+3
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/1
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/1 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/1
new file mode 100644
index 0000000..21befe5
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/1
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+allura
+K 8
+svn:date
+V 27
+2012-09-14T09:24:59.657361Z
+K 7
+svn:log
+V 14
+Initial commit
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/10
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/10 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/10
new file mode 100644
index 0000000..7563361
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/10
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-10T13:57:49.331144Z
+K 7
+svn:log
+V 2
+10
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/11
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/11 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/11
new file mode 100644
index 0000000..1a7c57b
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/11
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-10T13:57:54.222285Z
+K 7
+svn:log
+V 2
+11
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/12
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/12 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/12
new file mode 100644
index 0000000..e5261de
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/12
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-14T13:42:47.373667Z
+K 7
+svn:log
+V 3
+123
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/13
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/13 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/13
new file mode 100644
index 0000000..98e59b4
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/13
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:14:58.547186Z
+K 7
+svn:log
+V 28
+Added tags and branches dirs
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/14
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/14 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/14
new file mode 100644
index 0000000..0038f28
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/14
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:15:06.279256Z
+K 7
+svn:log
+V 7
+Tag 1.0
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/15
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/15 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/15
new file mode 100644
index 0000000..2defcf4
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/15
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:16:49.265539Z
+K 7
+svn:log
+V 13
+added aaa.txt
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/16
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/16 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/16
new file mode 100644
index 0000000..0c9fa72
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/16
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:17:11.372670Z
+K 7
+svn:log
+V 10
+aaa branch
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/17
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/17 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/17
new file mode 100644
index 0000000..2cb2c2e
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/17
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:17:43.720670Z
+K 7
+svn:log
+V 13
+added bbb.txt
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/18
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/18 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/18
new file mode 100644
index 0000000..0d76491
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/18
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:18:43.367408Z
+K 7
+svn:log
+V 22
+deleted svn-commit.tmp
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/19
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/19 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/19
new file mode 100644
index 0000000..8009d60
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/19
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-17T09:23:35.675301Z
+K 7
+svn:log
+V 8
+ccc.txt.
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/2
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/2 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/2
new file mode 100644
index 0000000..57aaf4c
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/2
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 7
+jetmind
+K 8
+svn:date
+V 27
+2012-09-14T09:29:26.468596Z
+K 7
+svn:log
+V 4
+init
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/3
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/3 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/3
new file mode 100644
index 0000000..c49edff
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/3
@@ -0,0 +1,14 @@
+K 10
+svn:author
+V 7
+jetmind
+K 8
+svn:date
+V 27
+2013-02-20T11:09:25.047049Z
+K 7
+svn:log
+V 4
+wqe
+
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/4
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/4 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/4
new file mode 100644
index 0000000..e69fa20
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/4
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-03-12T11:07:12.499418Z
+K 7
+svn:log
+V 3
+yep
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/5
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/5 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/5
new file mode 100644
index 0000000..1d776d9
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/5
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-03-12T11:08:27.707083Z
+K 7
+svn:log
+V 5
+yep 2
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/6
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/6 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/6
new file mode 100644
index 0000000..cd6b553
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/6
@@ -0,0 +1,14 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-10T13:57:26.168654Z
+K 7
+svn:log
+V 2
+6
+
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/7
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/7 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/7
new file mode 100644
index 0000000..a140dbd
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/7
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-10T13:57:34.856691Z
+K 7
+svn:log
+V 1
+7
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/8
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/8 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/8
new file mode 100644
index 0000000..507c862
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/8
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-10T13:57:40.650304Z
+K 7
+svn:log
+V 1
+8
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/9
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/9 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/9
new file mode 100644
index 0000000..c5a3bf0
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revprops/0/9
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 6
+admin1
+K 8
+svn:date
+V 27
+2013-05-10T13:57:45.270886Z
+K 7
+svn:log
+V 1
+9
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/0
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/0 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/0
new file mode 100644
index 0000000..10f5c45
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/0
@@ -0,0 +1,11 @@
+PLAIN
+END
+ENDREP
+id: 0.0.r0/17
+type: dir
+count: 0
+text: 0 0 4 4 2d2977d1c96f487abe4a1e202dd03b4e
+cpath: /
+
+
+17 107

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/1
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/1 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/1
new file mode 100644
index 0000000..ab1abdb
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/1
@@ -0,0 +1,25 @@
+id: 0-1.0.r1/0
+type: dir
+count: 0
+cpath: /trunk
+copyroot: 0 /
+
+PLAIN
+K 5
+trunk
+V 14
+dir 0-1.0.r1/0
+END
+ENDREP
+id: 0.0.r1/110
+type: dir
+pred: 0.0.r0/17
+count: 1
+text: 1 63 34 34 a669707b1f7dfac13baa7cbf8b292233
+cpath: /
+copyroot: 0 /
+
+_0.0.t0-0 add-dir false false /trunk
+
+
+110 234

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/10
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/10 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/10
new file mode 100644
index 0000000..17f46f8
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/10 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/11
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/11 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/11
new file mode 100644
index 0000000..f3de3e1
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/11 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/12
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/12 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/12
new file mode 100644
index 0000000..9ec8607
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/12 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/13
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/13 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/13
new file mode 100644
index 0000000..2429ed6
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/13
@@ -0,0 +1,41 @@
+id: 0-13.0.r13/0
+type: dir
+count: 0
+cpath: /branches
+copyroot: 0 /
+
+id: 2-13.0.r13/68
+type: dir
+count: 0
+cpath: /tags
+copyroot: 0 /
+
+PLAIN
+K 8
+branches
+V 16
+dir 0-13.0.r13/0
+K 4
+tags
+V 17
+dir 2-13.0.r13/68
+K 5
+trunk
+V 17
+dir 0-1.0.r12/320
+END
+ENDREP
+id: 0.0.r13/250
+type: dir
+pred: 0.0.r12/509
+count: 13
+text: 13 133 104 104 3f9f56b54a923ea2d82149d15bed2320
+cpath: /
+copyroot: 0 /
+
+_0.0.t12-d add-dir false false /branches
+
+_2.0.t12-d add-dir false false /tags
+
+
+250 382

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/14
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/14 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/14
new file mode 100644
index 0000000..bf3c497
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/14
@@ -0,0 +1,50 @@
+id: 0-1.0-14.r14/0
+type: dir
+pred: 0-1.0.r12/320
+count: 12
+text: 12 227 80 80 ba64294fc83c48c9c7a1bd3ce032b6d9
+cpath: /tags/tag-1.0
+copyfrom: 13 /trunk
+
+PLAIN
+K 7
+tag-1.0
+V 18
+dir 0-1.0-14.r14/0
+END
+ENDREP
+id: 2-13.0.r14/206
+type: dir
+pred: 2-13.0.r13/68
+count: 1
+text: 14 153 40 40 6443a2eb5a20cc1d22a37071980805b0
+cpath: /tags
+copyroot: 0 /
+
+PLAIN
+K 8
+branches
+V 16
+dir 0-13.0.r13/0
+K 4
+tags
+V 18
+dir 2-13.0.r14/206
+K 5
+trunk
+V 17
+dir 0-1.0.r12/320
+END
+ENDREP
+id: 0.0.r14/462
+type: dir
+pred: 0.0.r13/250
+count: 14
+text: 14 344 105 105 2bda7023698b9f41502d02d11b6e019b
+cpath: /
+copyroot: 0 /
+
+0-1._0.t13-e add-dir false false /tags/tag-1.0
+13 /trunk
+
+462 594

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/15
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/15 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/15
new file mode 100644
index 0000000..1a80c35
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/15 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/16
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/16 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/16
new file mode 100644
index 0000000..f9be716
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/16
@@ -0,0 +1,50 @@
+id: 0-1.0-16.r16/0
+type: dir
+pred: 0-1.0.r15/333
+count: 13
+text: 15 204 116 116 079f4d91976dc8c436c1666ad1d957b1
+cpath: /branches/aaa
+copyfrom: 15 /trunk
+
+PLAIN
+K 3
+aaa
+V 18
+dir 0-1.0-16.r16/0
+END
+ENDREP
+id: 0-13.0.r16/204
+type: dir
+pred: 0-13.0.r13/0
+count: 1
+text: 16 155 36 36 cabd976ed21bae7b43e6eeddc5ffad5f
+cpath: /branches
+copyroot: 0 /
+
+PLAIN
+K 8
+branches
+V 18
+dir 0-13.0.r16/204
+K 4
+tags
+V 18
+dir 2-13.0.r14/206
+K 5
+trunk
+V 17
+dir 0-1.0.r15/333
+END
+ENDREP
+id: 0.0.r16/465
+type: dir
+pred: 0.0.r15/592
+count: 16
+text: 16 345 107 107 76fe20fadbbc96a664e8c348c6bcb6c8
+cpath: /
+copyroot: 0 /
+
+0-1._0.t15-g add-dir false false /branches/aaa
+15 /trunk
+
+465 597

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/17
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/17 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/17
new file mode 100644
index 0000000..511ce79
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/17 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/18
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/18 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/18
new file mode 100644
index 0000000..e32a413
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/18
@@ -0,0 +1,50 @@
+PLAIN
+K 6
+README
+V 17
+file 1-2.0.r12/37
+K 7
+aaa.txt
+V 18
+file 1-15.0.r15/31
+K 7
+bbb.txt
+V 18
+file 1-17.0.r17/29
+END
+ENDREP
+id: 0-1.0.r18/123
+type: dir
+pred: 0-1.0.r17/367
+count: 14
+text: 18 0 110 110 2272a90f79e98a1cbae4a108ee067708
+cpath: /trunk
+copyroot: 0 /
+
+PLAIN
+K 8
+branches
+V 18
+dir 0-13.0.r16/204
+K 4
+tags
+V 18
+dir 2-13.0.r14/206
+K 5
+trunk
+V 17
+dir 0-1.0.r18/123
+END
+ENDREP
+id: 0.0.r18/382
+type: dir
+pred: 0.0.r17/628
+count: 18
+text: 18 262 107 107 438df4be71cf3d5878ab91f8cdb6b9e9
+cpath: /
+copyroot: 0 /
+
+1-3.0.r3/82 delete-file false false /trunk/svn-commit.tmp
+
+
+382 514

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/19
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/19 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/19
new file mode 100644
index 0000000..c7358c8
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/19 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/2
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/2 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/2
new file mode 100644
index 0000000..7e631b9
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/2 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/3
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/3 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/3
new file mode 100644
index 0000000..8500fa5
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/3 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/4
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/4 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/4
new file mode 100644
index 0000000..5185805
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/4 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/5
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/5 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/5
new file mode 100644
index 0000000..0e44839
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/5 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/6
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/6 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/6
new file mode 100644
index 0000000..5e704e1
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/6 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/7
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/7 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/7
new file mode 100644
index 0000000..9786f31
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/7 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/8
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/8 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/8
new file mode 100644
index 0000000..a4bb09f
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/8 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/9
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/9 b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/9
new file mode 100644
index 0000000..30dad50
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/revs/0/9 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current
new file mode 100644
index 0000000..b68fde2
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current
@@ -0,0 +1 @@
+k

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current-lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current-lock b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/txn-current-lock
new file mode 100644
index 0000000..e69de29

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/uuid
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/uuid b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/uuid
new file mode 100644
index 0000000..311e288
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/uuid
@@ -0,0 +1 @@
+e99d3fac-e2e0-4e27-8871-fe0e37559895

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/write-lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/write-lock b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/db/write-lock
new file mode 100644
index 0000000..e69de29

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/format
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/format b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/format
new file mode 100644
index 0000000..7ed6ff8
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/format
@@ -0,0 +1 @@
+5

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit
new file mode 100755
index 0000000..1ad70a4
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit
@@ -0,0 +1,8 @@
+#!/bin/bash
+# The following is required for site integration, do not remove/modify.
+# Place user hook code in post-commit-user and it will be called from here.
+curl -s http://sf-fortytwo-7045.sb.sf.net/auth/refresh_repo/p/test/code-1/
+
+DIR="$(dirname "${BASH_SOURCE[0]}")"
+if [ -x $DIR/post-commit-user ]; then  exec $DIR/post-commit-user "$@"
+fi
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit.tmpl
new file mode 100644
index 0000000..98e4f80
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-commit.tmpl
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# POST-COMMIT HOOK
+#
+# The post-commit hook is invoked after a commit.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-commit' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REV          (the number of the revision just committed)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the commit has already completed and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# newly-committed tree.
+#
+# On a Unix system, the normal procedure is to have 'post-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-commit.bat' or 'post-commit.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# the Subversion repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+
+mailer.py commit "$REPOS" "$REV" /path/to/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-lock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-lock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-lock.tmpl
new file mode 100644
index 0000000..c779f11
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-lock.tmpl
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# POST-LOCK HOOK
+#
+# The post-lock hook is run after a path is locked.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-lock' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the user who created the lock)
+#
+# The paths that were just locked are passed to the hook via STDIN (as
+# of Subversion 1.2, only one path is passed per invocation, but the
+# plan is to pass all locked paths at once, so the hook program
+# should be written accordingly).
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the lock has already been created and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# newly-created lock.
+#
+# On a Unix system, the normal procedure is to have 'post-lock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-lock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-lock.bat' or 'post-lock.exe',
+# but the basic idea is the same.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+USER="$2"
+
+# Send email to interested parties, let them know a lock was created:
+mailer.py lock "$REPOS" "$USER" /path/to/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-revprop-change.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-revprop-change.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-revprop-change.tmpl
new file mode 100644
index 0000000..3254f5e
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-revprop-change.tmpl
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# POST-REVPROP-CHANGE HOOK
+#
+# The post-revprop-change hook is invoked after a revision property
+# has been added, modified or deleted.  Subversion runs this hook by
+# invoking a program (script, executable, binary, etc.) named
+# 'post-revprop-change' (for which this file is a template), with the
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REV          (the revision that was tweaked)
+#   [3] USER         (the username of the person tweaking the property)
+#   [4] PROPNAME     (the property that was changed)
+#   [5] ACTION       (the property was 'A'dded, 'M'odified, or 'D'eleted)
+#
+#   [STDIN] PROPVAL  ** the old property value is passed via STDIN.
+#
+# Because the propchange has already completed and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# new property value.
+#
+# On a Unix system, the normal procedure is to have 'post-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-revprop-change.bat' or 'post-revprop-change.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# the Subversion repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+ACTION="$5"
+
+mailer.py propchange2 "$REPOS" "$REV" "$USER" "$PROPNAME" "$ACTION" /path/to/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-unlock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-unlock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-unlock.tmpl
new file mode 100644
index 0000000..ae95c4b
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/post-unlock.tmpl
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# POST-UNLOCK HOOK
+#
+# The post-unlock hook runs after a path is unlocked.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-unlock' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the user who destroyed the lock)
+#
+# The paths that were just unlocked are passed to the hook via STDIN
+# (as of Subversion 1.2, only one path is passed per invocation, but
+# the plan is to pass all unlocked paths at once, so the hook program
+# should be written accordingly).
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the lock has already been destroyed and cannot be undone,
+# the exit code of the hook program is ignored.
+#
+# On a Unix system, the normal procedure is to have 'post-unlock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-unlock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-unlock.bat' or 'post-unlock.exe',
+# but the basic idea is the same.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+USER="$2"
+
+# Send email to interested parties, let them know a lock was removed:
+mailer.py unlock "$REPOS" "$USER" /path/to/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-commit.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-commit.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-commit.tmpl
new file mode 100644
index 0000000..ab65642
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-commit.tmpl
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# PRE-COMMIT HOOK
+#
+# The pre-commit hook is invoked before a Subversion txn is
+# committed.  Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named 'pre-commit' (for which
+# this file is a template), with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] TXN-NAME     (the name of the txn about to be committed)
+#
+#   [STDIN] LOCK-TOKENS ** the lock tokens are passed via STDIN.
+#
+#   If STDIN contains the line "LOCK-TOKENS:\n" (the "\n" denotes a
+#   single newline), the lines following it are the lock tokens for
+#   this commit.  The end of the list is marked by a line containing
+#   only a newline character.
+#
+#   Each lock token line consists of a URI-escaped path, followed
+#   by the separator character '|', followed by the lock token string,
+#   followed by a newline.
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the txn is committed; but
+# if it exits with failure (non-zero), the txn is aborted, no commit
+# takes place, and STDERR is returned to the client.   The hook
+# program can use the 'svnlook' utility to help it examine the txn.
+#
+# On a Unix system, the normal procedure is to have 'pre-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+#   ***  NOTE: THE HOOK PROGRAM MUST NOT MODIFY THE TXN, EXCEPT  ***
+#   ***  FOR REVISION PROPERTIES (like svn:log or svn:author).   ***
+#
+#   This is why we recommend using the read-only 'svnlook' utility.
+#   In the future, Subversion may enforce the rule that pre-commit
+#   hooks should not modify the versioned data in txns, or else come
+#   up with a mechanism to make it safe to do so (by informing the
+#   committing client of the changes).  However, right now neither
+#   mechanism is implemented, so hook writers just have to be careful.
+#
+# Note that 'pre-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-commit.bat' or 'pre-commit.exe',
+# but the basic idea is the same.
+#
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# the Subversion repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+TXN="$2"
+
+# Make sure that the log message contains some text.
+SVNLOOK=/usr/bin/svnlook
+$SVNLOOK log -t "$TXN" "$REPOS" | \
+   grep "[a-zA-Z0-9]" > /dev/null || exit 1
+
+# Check that the author of this commit has the rights to perform
+# the commit on the files and directories being modified.
+commit-access-control.pl "$REPOS" "$TXN" commit-access-control.cfg || exit 1
+
+# All checks passed, so allow the commit.
+exit 0

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-lock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-lock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-lock.tmpl
new file mode 100644
index 0000000..13827fb
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-lock.tmpl
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# PRE-LOCK HOOK
+#
+# The pre-lock hook is invoked before an exclusive lock is
+# created.  Subversion runs this hook by invoking a program 
+# (script, executable, binary, etc.) named 'pre-lock' (for which
+# this file is a template), with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] PATH         (the path in the repository about to be locked)
+#   [3] USER         (the user creating the lock)
+#   [4] COMMENT      (the comment of the lock)
+#   [5] STEAL-LOCK   (1 if the user is trying to steal the lock, else 0)
+#
+# If the hook program outputs anything on stdout, the output string will
+# be used as the lock token for this lock operation.  If you choose to use
+# this feature, you must guarantee the tokens generated are unique across
+# the repository each time.
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the lock is created; but
+# if it exits with failure (non-zero), the lock action is aborted
+# and STDERR is returned to the client.
+
+# On a Unix system, the normal procedure is to have 'pre-lock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-lock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-lock.bat' or 'pre-lock.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+PATH="$2"
+USER="$3"
+
+# If a lock exists and is owned by a different person, don't allow it
+# to be stolen (e.g., with 'svn lock --force ...').
+
+# (Maybe this script could send email to the lock owner?)
+SVNLOOK=/usr/bin/svnlook
+GREP=/bin/grep
+SED=/bin/sed
+
+LOCK_OWNER=`$SVNLOOK lock "$REPOS" "$PATH" | \
+            $GREP '^Owner: ' | $SED 's/Owner: //'`
+
+# If we get no result from svnlook, there's no lock, allow the lock to
+# happen:
+if [ "$LOCK_OWNER" = "" ]; then
+  exit 0
+fi
+
+# If the person locking matches the lock's owner, allow the lock to
+# happen:
+if [ "$LOCK_OWNER" = "$USER" ]; then
+  exit 0
+fi
+
+# Otherwise, we've got an owner mismatch, so return failure:
+echo "Error: $PATH already locked by ${LOCK_OWNER}." 1>&2
+exit 1

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change
new file mode 100755
index 0000000..1a24852
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change
@@ -0,0 +1 @@
+#!/bin/sh

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change.tmpl
new file mode 100644
index 0000000..f72ad01
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-revprop-change.tmpl
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# PRE-REVPROP-CHANGE HOOK
+#
+# The pre-revprop-change hook is invoked before a revision property
+# is added, modified or deleted.  Subversion runs this hook by invoking
+# a program (script, executable, binary, etc.) named 'pre-revprop-change'
+# (for which this file is a template), with the following ordered
+# arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REVISION     (the revision being tweaked)
+#   [3] USER         (the username of the person tweaking the property)
+#   [4] PROPNAME     (the property being set on the revision)
+#   [5] ACTION       (the property is being 'A'dded, 'M'odified, or 'D'eleted)
+#
+#   [STDIN] PROPVAL  ** the new property value is passed via STDIN.
+#
+# If the hook program exits with success, the propchange happens; but
+# if it exits with failure (non-zero), the propchange doesn't happen.
+# The hook program can use the 'svnlook' utility to examine the 
+# existing value of the revision property.
+#
+# WARNING: unlike other hooks, this hook MUST exist for revision
+# properties to be changed.  If the hook does not exist, Subversion 
+# will behave as if the hook were present, but failed.  The reason
+# for this is that revision properties are UNVERSIONED, meaning that
+# a successful propchange is destructive;  the old value is gone
+# forever.  We recommend the hook back up the old value somewhere.
+#
+# On a Unix system, the normal procedure is to have 'pre-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-revprop-change.bat' or 'pre-revprop-change.exe',
+# but the basic idea is the same.
+#
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# the Subversion repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+ACTION="$5"
+
+if [ "$ACTION" = "M" -a "$PROPNAME" = "svn:log" ]; then exit 0; fi
+
+echo "Changing revision properties other than svn:log is prohibited" >&2
+exit 1

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-unlock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-unlock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-unlock.tmpl
new file mode 100644
index 0000000..d1aa858
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/pre-unlock.tmpl
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# PRE-UNLOCK HOOK
+#
+# The pre-unlock hook is invoked before an exclusive lock is
+# destroyed.  Subversion runs this hook by invoking a program 
+# (script, executable, binary, etc.) named 'pre-unlock' (for which
+# this file is a template), with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] PATH         (the path in the repository about to be unlocked)
+#   [3] USER         (the user destroying the lock)
+#   [4] TOKEN        (the lock token to be destroyed)
+#   [5] BREAK-UNLOCK (1 if the user is breaking the lock, else 0)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the lock is destroyed; but
+# if it exits with failure (non-zero), the unlock action is aborted
+# and STDERR is returned to the client.
+
+# On a Unix system, the normal procedure is to have 'pre-unlock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-unlock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-unlock.bat' or 'pre-unlock.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+PATH="$2"
+USER="$3"
+
+# If a lock is owned by a different person, don't allow it be broken.
+# (Maybe this script could send email to the lock owner?)
+
+SVNLOOK=/usr/bin/svnlook
+GREP=/bin/grep
+SED=/bin/sed
+
+LOCK_OWNER=`$SVNLOOK lock "$REPOS" "$PATH" | \
+            $GREP '^Owner: ' | $SED 's/Owner: //'`
+
+# If we get no result from svnlook, there's no lock, return success:
+if [ "$LOCK_OWNER" = "" ]; then
+  exit 0
+fi
+
+# If the person unlocking matches the lock's owner, return success:
+if [ "$LOCK_OWNER" = "$USER" ]; then
+  exit 0
+fi
+
+# Otherwise, we've got an owner mismatch, so return failure:
+echo "Error: $PATH locked by ${LOCK_OWNER}." 1>&2
+exit 1

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/start-commit.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/start-commit.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/start-commit.tmpl
new file mode 100644
index 0000000..53690d1
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/hooks/start-commit.tmpl
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# START-COMMIT HOOK
+#
+# The start-commit hook is invoked before a Subversion txn is created
+# in the process of doing a commit.  Subversion runs this hook
+# by invoking a program (script, executable, binary, etc.) named
+# 'start-commit' (for which this file is a template)
+# with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the authenticated user attempting to commit)
+#   [3] CAPABILITIES (a colon-separated list of capabilities reported
+#                     by the client; see note below)
+#
+# Note: The CAPABILITIES parameter is new in Subversion 1.5, and 1.5
+# clients will typically report at least the "mergeinfo" capability.
+# If there are other capabilities, then the list is colon-separated,
+# e.g.: "mergeinfo:some-other-capability" (the order is undefined).
+#
+# The list is self-reported by the client.  Therefore, you should not
+# make security assumptions based on the capabilities list, nor should
+# you assume that clients reliably report every capability they have.
+#
+# The working directory for this hook program's invocation is undefined,
+# so the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the commit continues; but
+# if it exits with failure (non-zero), the commit is stopped before
+# a Subversion txn is created, and STDERR is returned to the client.
+#
+# On a Unix system, the normal procedure is to have 'start-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'start-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'start-commit.bat' or 'start-commit.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# the Subversion repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+USER="$2"
+
+commit-allower.pl --repository "$REPOS" --user "$USER" || exit 1
+special-auth-check.py --user "$USER" --auth-level 3 || exit 1
+
+# All checks passed, so allow the commit.
+exit 0

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db-logs.lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db-logs.lock b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db-logs.lock
new file mode 100644
index 0000000..20dd636
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db-logs.lock
@@ -0,0 +1,3 @@
+This file is not used by Subversion 1.3.x or later.
+However, its existence is required for compatibility with
+Subversion 1.2.x or earlier.

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/67a10215/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db.lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db.lock b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db.lock
new file mode 100644
index 0000000..20dd636
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-trunk-tags-branches/locks/db.lock
@@ -0,0 +1,3 @@
+This file is not used by Subversion 1.3.x or later.
+However, its existence is required for compatibility with
+Subversion 1.2.x or earlier.


Mime
View raw message